Dialogue = class("Dialogue")

function Dialogue:init(typ,character,text,voice,secondCharacter,currentBG)

	if(typ == nil)then --Error
		return 
	end
	
	self.bgNum = currentBG
	self.typ = typ
	self.vibrationLeft = -1
	self.vibrationRight = -1
	
	if(typ == "empty")then --Empty Dialogue Frame
		return
	end
	
	if(typ == "bgmChange")then --Change the current BGM (or stop it => -1)
		self.bgmNum = character -- In this case the character value is the bgmNumber
	end

	if(typ == "decision")then
		self.decision = character -- In this case the character value is the decision
		return
	end
	
	if(typ == "dialogue")then

		self.character = character
		self.text = text
		self.voice = voice --NUMBER
		self.secondCharacter = secondCharacter
		self.currentStyle = character.style
		self.currentDescriptionImage = character.descriptionImage
		if(secondCharacter ~= nil)then
			self.secondCharacterStyle = secondCharacter.style
		end
		return
	end
end

return Dialogue()