Timer = class("Timer")

function Timer:init()
end

function Timer:start()
	self.time = love.timer.getTime()
end

function Timer:isPast(t)
	alpha = love.timer.getTime()
	delta = alpha - self.time
	past = t < delta
	if (past) then
		self.time = love.timer.getTime() --reset timer
	end	
	return past
end

function Timer:getRestTime(t)
	alpha = love.timer.getTime()
	delta = alpha - self.time
	rest = t - delta
	if(rest < 0)then
		rest = 0
	end
	return rest
end

function Timer:getRestTimeMinutes(t)
	rest = self:getRestTime(t)
	minutes = math.floor(rest/60)
	return minutes
end

function Timer:getRestTimeSeconds(t)
	minutes = self:getRestTimeMinutes(t)
	rest = math.floor(self:getRestTime(t))
	seconds = rest - (minutes * 60)
	return seconds
end

return Timer()